format_version: '1.0'


repository_url: https://github.com/FRRouting/frr
issue_url: https://github.com/FRRouting/frr/issues/6868


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 027b3ca
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 29d836a0652b07fa135912861cda2f4d1850ca41
    - input_file: 'b-partial-2.diff'
      commit_sha1: 2f00cb1df963ba893d51224f99188a8331503c69
    - input_file: 'b-partial-3.diff'
      commit_sha1: e11c69939976d05a88a60bdf9c05584fd8fa5e95
    - input_file: 'b-partial-4.diff'
      commit_sha1: 87410adbca94c0488087128e61009525ad13337b
    - input_file: 'b-partial-5.diff'
      commit_sha1: 7146cb0d4d0378999886e2eef16b5115ad587c24
    - input_file: 'b-partial-6.diff'
      commit_sha1: 12c4202af4f78f3a61874939a7c874a84c3be37e
    - input_file: 'b-partial-7.diff'
      commit_sha1: b43f45b474e7468698ba023262dfc72fa3f30c35
    - input_file: 'b-partial-8.diff'
      commit_sha1: 6e8b9f9840df42c518512d71fad09c7fd4ee8e8f
    - input_file: 'b-partial-9.diff'
      commit_sha1: 6629ef91d63b1b1e094e4ef303f9ddd1d7236204
    - input_file: 'b-partial-10.diff'
      commit_sha1: cf80e57a9cad54b1bf4a5798e8be5e8f33a95c18
    - input_file: 'b-partial-11.diff'
      commit_sha1: 61a624c4238d455f40d65103cc6af627c68cffb5
    - input_file: 'b-partial-12.diff'
      commit_sha1: 70db8aa120c64f49d3c451c2d8e317ad2380bb3e
    - input_file: 'b-partial-13.diff'
      commit_sha1: 2f89cd8dae44e3a75003d7e7759eec6d4fdcccd0
    - input_file: 'b-partial-14.diff'
      commit_sha1: 6c2c19b65aba21d1ef5c411b887f4dcaf61d0d0a
    - input_file: 'b-partial-15.diff'
      commit_sha1: 11c581aa94b1d459e70d22317f1ce8d5e435200c
    - input_file: 'b-partial-16.diff'
      commit_sha1: faceff52a1ca7dd08a333dc86946a5087e93f2cc
    - input_file: 'b-partial-17.diff'
      commit_sha1: 6fa2b32ce28956d06ec9d9db85aa4eebf399c1fe

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 9041c30ad1a8db6be436bc24421fabdd5ad54a6b

options:
  language: C
